%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          hibernate-validator
Version:       4.2.0
Release:       %mkrel 2
Summary:       Hibernate's Bean Validation (JSR-303) reference implementation
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.hibernate.org/subprojects/validator.html
# http://anonsvn.jboss.org/repos/hibernate/validator/tags/
Source0:       http://sourceforge.net/projects/hibernate/files/hibernate-validator/%{namedversion}/hibernate-validator-%{namedversion}-dist.tar.gz
Patch0:        hibernate-validator-4.2.0.Final-pom_xml.patch
Patch1:        hibernate-validator-4.2.0.Final-disable-tck-runner.patch
Patch2:        hibernate-validator-4.2.0.Final-tests-dep.patch
Patch3:        hibernate-validator-4.2.0.Final-module-validator-pom.patch
Patch4:        hibernate-validator-4.2.0.Final-module-validator-no-surefire-plugin.patch

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-devel >= 1:1.7.0

BuildRequires: beust-jcommander
BuildRequires: bsh2
BuildRequires: cglib
BuildRequires: glassfish-jaf
BuildRequires: glassfish-jaxb >= 2.2.4-2.u1
BuildRequires: glassfish-jaxb-api
BuildRequires: glassfish-stax-api
BuildRequires: google-guice
BuildRequires: h2
BuildRequires: hibernate3
BuildRequires: hibernate-jpa-2.0-api
BuildRequires: hibernate-validation-api
BuildRequires: hibernate-commons-annotations
BuildRequires: javassist
BuildRequires: joda-time
BuildRequires: jsoup
BuildRequires: jtype
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: objenesis
BuildRequires: slf4j
BuildRequires: testng

# hibernate-validator-tck-runner
BuildRequires: jsr303-tck
# TODO
# org.jboss.as jboss-as-arquillian-container-managed 7.0.0.Beta2 
# org.jboss.jbossas.as7-cdi-tc jbossas-container 1.0.0.Alpha1

 
BuildRequires: maven
BuildRequires: maven-archetype-common
BuildRequires: maven-archetype-packaging
BuildRequires: maven-archetype-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-exec
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-shade-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: jaxb2-maven-plugin 
BuildRequires: maven-shared-osgi

Requires:      glassfish-jaf
Requires:      glassfish-jaxb >= 2.2.4-2.u1
Requires:      glassfish-jaxb-api
Requires:      glassfish-stax-api
Requires:      google-guice
Requires:      hibernate-jpa-2.0-api
Requires:      hibernate-validation-api
Requires:      javassist
Requires:      joda-time
Requires:      jsoup

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Following the DRY (Don't Repeat Yourself) principle,
Hibernate Validator let's you express your domain
constraints once (and only once) and ensure their
compliance at various level of your system
automatically.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-validator-%{namedversion}
rm -rf docs lib *.jar
cd project/

%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p0

sed -i "s|<module>%{name}-distribution</module>|<!--module>%{name}-distribution</module-->|" pom.xml

%build
# x test easymock 3.0
cd project
mvn-rpmbuild  \
  -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/hibernate

cd project
install -pm 644 %{name}/target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/hibernate/validator.jar
install -pm 644 %{name}-annotation-processor/target/%{name}-annotation-processor-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/hibernate/validator-annotation-processor.jar
install -pm 644 %{name}-archetype/target/%{name}-quickstart-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/hibernate/validator-quickstart.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.hibernate-validator-parent.pom
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.hibernate-validator.pom
install -pm 644 %{name}-annotation-processor/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.hibernate-validator-annotation-processor.pom
install -pm 644 %{name}-archetype/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.hibernate-validator-quickstart.pom

# DEPMAP
%add_maven_depmap JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}.pom hibernate/validator.jar
%add_maven_depmap JPP.%{name}-annotation-processor.pom hibernate/validator-annotation-processor.jar
%add_maven_depmap JPP.%{name}-quickstart.pom hibernate/validator-quickstart.jar


%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/hibernate/validator-annotation-processor.jar
%{_javadir}/hibernate/validator-quickstart.jar
%{_javadir}/hibernate/validator.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc changelog.txt license.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 10 2012 gil <gil> 4.2.0-2.mga2
+ Revision: 194558
- build fix
  replaced BR maven-archetype2 with newest maven-archetype

* Sun Jan 08 2012 dmorgan <dmorgan> 4.2.0-1.mga2
+ Revision: 193405
- Try to build with java7
- Remove dupplicate BR

  + gil <gil>
    - added BR java-1.6.0-openjdk-devel
    - imported package hibernate-validator

